<?php
/*
 *      this file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


/*
 * Cette partie s'intègre dans le boucle des collection de main.php.
 * Variable disponible : idem main.php
 */
?>
<generatorask>
    <p><?php echo __('Cette partie s\'intégre dans la page d\'accueil et propose un petit aperçu de la collection (<a href="http://jonas.tuxfamily.org/wiki/gcweb/documentation/generateur_de_theme#main">plus d\'explications</a>)') ?>.</p>

    <p><?php echo __('L\'aperçu de cette page ne s\'affiche pas correctement dans le générateur
    (alignement des images, informations complémentaires affichée de façon
    permanente ...) ceci est "normal" car la page d\'accueil n\'est pas affichée
    dans sont intégralitée') ?>.
    </p>

    <ul>
        <li><span class="generator_label"><?php echo __('Titre de l\'élément') ?> :</span>   <span class="generator_desc"><champ>title</champ></span> <span style="color:red"><?php echo __('Saisie obligatoire') ?></span>.</li>
        <li><span class="generator_label"><?php echo __('Image réprésentative') ?> :</span>  <span class="generator_desc"><champ>img</champ></span></li>
        <li><span class="generator_label"><?php echo __('Taille max de celle-ci') ?> :</span><span class="generator_desc"><txt>Ximg=1000</txt> x <txt>Yimg=160</txt> (<?php echo __('Valeurs conseillées pour une image plus haute que large') ?> : <code>1000 x 160</code>. <?php echo __('Les proportions de l\'image seront conservées') ?>).</span></li>
        <li><?php echo __('Information avec un lien vers un filtre (quand on clique dessus, GCweb affiche tout
            les éléments ayant cette valeur)') ?>.
            <ul>
            <loop filter>
                <li><?php echo __('Label') ?> <txt>labelfilter</txt> - <?php echo __('Champ') ?> <champ>valuefilter</champ> </li>
            </loop>
                <li>→ <addloop filter></li>
            </ul>
        <li><?php echo __('Autres informations sans lien') ?>.
            <ul>
            <loop otherinfo>
                <li><?php echo __('Label') ?> <txt>labelotherinfo</txt> - <?php echo __('Champ') ?> <champ>valueotherinfo</champ> </li>
            </loop>
                <li>→ <addloop otherinfo></li>
            </ul>
        </li>
        <li><?php echo __('Liste de lien') ?>
            <ul>
            <loop link>
                <li><?php echo __('Label') ?> <txt>labellink</txt> - <?php echo __('url') ?> <champ>valuelink</champ> </li>
            </loop>
                <li>→ <addloop link></li>
            </ul>
        </li>
        </li>
    </ul>
</generatorask>

<generatorcode>
<?php
/*
 *      File generated by GCweb generator a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


/*
 * Cette partie s'intègre dans la boucle des collections de main.php.
 * Variable disponible : idem main.php
 */


//Chargement de information de la collection
$itemsSortByDate = bdd::filterSortSliceAndCache('none','idDSC',0,10,True);

?>
<div class="element">
    <div class="box">
        <div class="collecdesc">
            <h2><a name="collec<?php aff($collec['id'])?>" href="<?php aff_hrefmodel('list') ?>"><?php aff($collec['title']) ?></a></h2>

            <p><?php aff($collec['description']) ?></p>

            <h3><?php echo __('Informations') ?></h3>
                <ul>
                    <li><?php echo __('Type de collection') ?> : <?php aff($collec['type']) ?></li>
                    <li><?php echo __('Nombre d\'éléments') ?> : <?php aff($collec['nbItemsBDD'])?></li>
                    <li><?php echo __('Dernière mise à jour') ?> : <?php aff(strftime('%A %e %B %Y',filemtime(DIR_GCWEB.'collections/'.$collec['dir'].$collec['xml']))) ?></li>
                </ul>

            <p>→ <a href="<?php aff_hrefModel('list') ?>"><?php echo __('Voir la collection') ?></a></p>
        </div>


        <div class="colleclastadd">
            <div class="label"><?php echo __('Derniers éléments ajoutés') ?> <a class="rss" title="<?php echo __('S\'abonner (RSS 2.0)') ?>" href="<?php aff_hrefModel('rss')?>"><span>RSS</span></a> :</div>
            <div class="img">
                <?php
                foreach ($itemsSortByDate as $lastItem) {
                ?>
                    <div id="id_<?php aff($lastitem['id']) ?>" class="element">
                        <div class='legend' id="info_<?php aff($collec['id']) ?>_<?php aff($lastItem['id']) ?>" style="margin-top: <ifexists img>%%Yimg%%</ifexists><ifnotexists img>10</ifnotexists>px">
                            <h3><a href="<?php aff_hrefitem($lastItem)?>"><?php aff($lastItem['%%title%%']) ?></a></h3>
                            <ul>
                                <loop filter>
                                <?php if (test($lastItem['%%valuefilter%%']))       {?> <li><span class="label"><?php echo __('%%labelfilter%%') ?> :   </span><span class="info"><?php aff_filter('%%valuefilter%%==',$lastItem['%%valuefilter%%']) ?></span></li><?php } ?>
                                </loop>
                                <loop otherinfo>
                                <?php if (test($lastItem['%%valueotherinfo%%']))   {?> <li><span class="label"><?php echo __('%%labelotherinfo%%') ?> : </span><span class="info"><?php aff($lastItem['%%valueotherinfo%%']) ?></span></li><?php } ?>
                                </loop>
                                <li><loop link>
                                <?php if (test($lastItem['%%valuelink%%']))   {?> <a href="<?php aff($lastItem['%%valuelink%%'])?>"><?php echo __('%%labellink%%') ?></a><?php } ?>
                                </loop></li>
                            </ul>
                        </div>

                        <ifexists img>
                        <a href="<?php aff_hrefItem($lastItem['id'])?>" title="<?php aff($lastItem['%%title%%'])?>">
                            <img class="image" src="<?php aff_image($lastItem['%%img%%'],%%Ximg%%,%%Yimg%%) ?>" <?php aff_attrsize_image($lastItem['%%img%%'],%%Ximg%%,%%Yimg%%) ?> alt="<?php aff($lastItem['%%title%%']) ?>" onmouseover="javascript:changeInfo('info_<?php aff($collec['id']) ?>_<?php aff($lastItem['id'])?>')" />
                        </a>
                        </ifexists>
                        <ifnotexists img>
                        <a href="<?php aff_hrefItem($lastItem['id'])?>" title="<?php aff($lastItem['%%title%%'])?>"  onmouseover="javascript:changeInfo('info_<?php aff($collec['id']) ?>_<?php aff($lastItem['id'])?>')">
                             <?php aff($lastItem['%%title%%']) ?>
                        </a>,&nbsp;
                        </ifnotexists>
                    </div>
                <?php } ?>
                <ifnotexists img>
                    <div class="element">
                        <a href="<?php aff_hrefModel('list') ?>">...</a>
                    </div>
                </ifnotexists>
            </div>
        </div>
        <div class="collecfoot">
        </div>
    </div>
</div>

</generatorcode>
